# -*- encoding: utf-8 -*-
# stub: crun 0.0.4 ruby lib

Gem::Specification.new do |s|
  s.name = "crun".freeze
  s.version = "0.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tero Isannainen".freeze]
  s.date = "2017-07-29"
  s.description = "Crun is an utility for compiling and running C-programs straight from\nC source files. Crun supports compile-run and compile-debug flows.\n\nYou can embed custom compile options into the main c-file, if you\nneed, for example, an external library for the program. You can also\ncontrol the command line parameters passed to the program through\nCrun.".freeze
  s.email = "tero.isannainen@gmail.com".freeze
  s.executables = ["crun".freeze]
  s.extra_rdoc_files = ["README.rdoc".freeze, "CHANGELOG.rdoc".freeze]
  s.files = ["CHANGELOG.rdoc".freeze, "README.rdoc".freeze, "bin/crun".freeze]
  s.licenses = ["Ruby".freeze]
  s.post_install_message = "Check README...".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "C-program prototyping environment.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<como>.freeze, ["~> 0.2", ">= 0.2.0"])
    s.add_runtime_dependency(%q<ffi-clang>.freeze, ["~> 0.3", ">= 0.3.0"])
  else
    s.add_dependency(%q<como>.freeze, ["~> 0.2", ">= 0.2.0"])
    s.add_dependency(%q<ffi-clang>.freeze, ["~> 0.3", ">= 0.3.0"])
  end
end
